Package org.xnio

# Interface ChannelSource<T extends Channel>

Type Parameters:
  `T` - the type of channel

public interface ChannelSource<T extends Channel>
A channel source. Instances of this interface are used to create a channel and associate it with a listener. Example uses are to establish a TCP connection (as a client), open a serial port, etc.

## Method Summary

Modifier and Type
Method
Description
`IoFuture<T>`
`open(ChannelListener<? super T> openListener)`
Open a channel.

## Method Details

### open

IoFuture<T> open(ChannelListener<? super T> openListener)
Open a channel.

Parameters:
  `openListener` - the listener which will be notified when the channel is open
Returns:
  the future result of this operation